Bug 1004419 - about:newtab doesn't show thumbnails
about:newtab doesn't show thumbnails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 11:17 EDT by Alberto Ruiz
Modified: 2015-02-17 12:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:03:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot attached (some thumbnails blurred for privacy issues) (328.37 KB, image/png)
2013-09-04 11:17 EDT, Alberto Ruiz
no flags Details

  None (edit)
Description Alberto Ruiz 2013-09-04 11:17:05 EDT
Created attachment 793728 [details]
Screenshot attached (some thumbnails blurred for privacy issues)

Description of problem:

about:newtab doesn't fill the thumbnail 


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Open the about:newtab page after using firefox for a while (visiting several webpages)

Actual results:
The boxes and the web names are there and you can click, but the screenshot/thumbnail of each webpage is not shown on all pages.

Expected results:
Every box/shortcut should have a thumbnail of the webpage

Additional info:
Comment 1 Jan Horak 2013-09-10 11:17:06 EDT
This turns to be actually a feature rather than bug. 
I was able to reproduce this problem with few sites, the reason is that they send Cache-control: no-store in http header even if storing the page in cache wouldn't be a threat to user privacy. However there are sites which send same header and making thumbnail of would show private data (like paypal.com).

See https://bugzilla.mozilla.org/show_bug.cgi?id=754608 for details.

Testing today's trunk seems to fix this problem. I can't find the relevant bug thought, maybe: https://bugzilla.mozilla.org/show_bug.cgi?id=912763
Comment 2 Alberto Ruiz 2013-09-11 04:48:12 EDT
Would it be possible to show a snapshot from a Private Window session, or a dummy profile with no access to the credentials?

Another alternative is showing some sort if icon/watermark with a lock or some other suitable metaphor so that the user at least has a hint on what is going on.

I will request some feedback from Alan and Mairin.
Comment 3 Jan Horak 2013-09-11 05:42:48 EDT
(In reply to Alberto Ruiz from comment #2)
> Would it be possible to show a snapshot from a Private Window session, or a
> dummy profile with no access to the credentials?

This is what currently nightly is doing. For example for gmail the login screen is shown as thumbnail instead of screenshot of mailbox (they doing it by disabling cookies when generating thumbnails). 

It is implemented as background thumbnail downloader which is currently enabled only for nightly because it's still considered as immature. I see one drawback here, everytime browser starts thumbnails are refreshed on background. This brings additional data to download which I would say is not suitable for mobile connections. I hope mozilla will address it before it goes to release.
Comment 4 Jan Horak 2013-09-11 05:45:15 EDT
Currently we can focus on how to preset newtab page with Fedora bookmarks/Fedora homepage for new profiles to allow to replace Fedora homepage with about:newtab.
Comment 5 Alberto Ruiz 2013-09-11 07:54:44 EDT
(In reply to Jan Horak from comment #4)
> Currently we can focus on how to preset newtab page with Fedora
> bookmarks/Fedora homepage for new profiles to allow to replace Fedora
> homepage with about:newtab.

Sounds like a plan.
Comment 6 Alberto Ruiz 2013-09-11 07:56:55 EDT
(In reply to Jan Horak from comment #3)
> (In reply to Alberto Ruiz from comment #2)
> > Would it be possible to show a snapshot from a Private Window session, or a
> > dummy profile with no access to the credentials?
> 
> This is what currently nightly is doing. For example for gmail the login
> screen is shown as thumbnail instead of screenshot of mailbox (they doing it
> by disabling cookies when generating thumbnails). 
> 
> It is implemented as background thumbnail downloader which is currently
> enabled only for nightly because it's still considered as immature. I see
> one drawback here, everytime browser starts thumbnails are refreshed on
> background. This brings additional data to download which I would say is not
> suitable for mobile connections. I hope mozilla will address it before it
> goes to release.

IMHO thumbnails for sites marked as "secure" should not be refreshed on a constant basis (maybe once a month or something like that, sites don't update their logged out frontpages that often). For other sites they should only be updated when you log in again.
Comment 7 Fedora End Of Life 2015-01-09 14:43:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 12:03:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.